Subject: Re: Fwd: Cygwin-X AWT windows snap back after drag in multi-window mode (w/example): long-standing issue
From: Mark Hansen <[email-masked]>
To: [email-masked]
Date: Wed, 23 Mar 2022 04:57:36 -0700
Newsgroups: gmane.os.cygwin
List-Id: General Cygwin discussions and problem reports <cygwin.cygwin.com>

On 3/23/2022 4:38 AM, John Harris wrote:
> I'm trying one more posting of this from a month ago hopefully to get
> more eyes on it (got no replies last time). I apologize for the
> repeat, and will stop if no one has any leads on how to fix this. It's
> such a frustrating bug that's easily reproducible and only happens
> with Cygwin-X multi window mode.

I see what I think is the same thing, but only when I'm running a Java Swing (GUI) application
on a Linux host (CentOS) and displaying to my Windows PC running Cygwin X Server.

If I run other X applications on the Linux host (displayed to my X Server) they do
not see this.

> 
> ---------- Forwarded message ---------
> From: John Harris <[email-masked]>
> Date: Sun, Feb 13, 2022 at 10:14 AM
> Subject: Cygwin-X AWT windows snap back after drag in multi-window
> mode (w/example): long-standing issue
> To: <[email-masked]>
> 
> 
> For well over ten years, I (and other developers with the same
> configuration) have been experiencing this issue with Cygwin-X in
> multi-window mode with Java AWT apps.
> 
> The issue is simply that the first time (and only the first time)
> certain AWT dialogs are dragged to move them, they snap back to their
> original position.
> 
> The problem exists across JDK's, computers, cygwin versions, fresh
> installs, and everything I've tried.
> 
> This can easily be reproduced by compiling (javac) and running (java)
> the attached trivial AWT code. If you get this error at runtime:
> 
>    Exception in thread "main" java.awt.AWTError: Assistive Technology
> not found: org.GNOME.Accessibility.AtkWrapper
> 
> ...then you need to do these steps:
> 
> edit /etc/java-<ver>-openjdk/accessibility.properties, commenting out
> the line that reads,
>     assistive_technologies=org.GNOME.Accessibility.AtkWrapper
> 
> The attached program will demonstrate the issue. Also attached are
> (shortened) cygcheck output and the XWin log.
> 
> 
> 
> 

-- 
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple